Subject: bug#50742: spacefm crash on launch

From: ison <[email-masked]>
Date: Mon, 18 Oct 2021 08:10:32 -0600

Are you using Wayland? If so then there is a workaround. Try launching
it like "WAYLAND_DISPLAY= spacefm" (notice the space). Spacefm doesn't
support Wayland natively.
A similar file manager that does support Wayland is Thunar.

"bdju" via Bug reports for GNU Guix <[email-masked]> writes:

> guix (GNU Guix) 9057035d892266c1b90242d06522a642e13b09d79
> I am running Guix System
>
> Here is the output after running `spacefm` from my terminal
> ------------------------------------------------------------------------
>
> (spacefm:28620): SpaceFM-WARNING **: 13:43:17.110: No root settings
> found in
> /gnu/store/cb0mdkpb2a3x1sylfhkhb8g228hs43cp-spacefm-1.0.6/etc/spacefm/
> Setting a root editor in Preferences should remove this warning on
> startup.   Otherwise commands run as root may present a security risk.
> **
> GLib:ERROR:../glib-2.62.6/glib/ghash.c:472:g_hash_table_lookup_node:
> assertion failed: (!g_atomic_ref_count_compare (&hash_table->ref_count,
> 0))
> Bail out!
> GLib:ERROR:../glib-2.62.6/glib/ghash.c:472:g_hash_table_lookup_node:
> assertion failed: (!g_atomic_ref_count_compare (&hash_table->ref_count,
> 0))
> zsh: abort      spacefm
> ------------------------------------------------------------------------
>
> When launching with ‘guix environment --pure --ad-hoc spacefm --
> spacefm’ instead, it appears successfully.